$primarycolor: hsl(231, 69%, 60%);
$Myfont:Rubik;
$hovercolor: red;
$uicolor: rgb(250, 136, 136);
$navcolor: #252b46;

body
{
    font-family: $Myfont;
}

a
{
    text-decoration: none;
    outline: none;
    color: black;
        &:hover
        {
            color: $hovercolor;
            text-decoration: none;
        }
}

/* css nav */

.mybarnav
{
    input 
    {
        &:hover
        {
            background-color: $hovercolor!important;
        }
    }
}

/* forme bleu */
.bgright {
    left: 30%;
    border-radius: 250px 0px 0px 250px;
}

.bgBlueForm {
    width: 200%;
    height: 80%;
    background: $primarycolor;
    z-index: -99;
    position: absolute;
    bottom: 0;
}

.bgleft {
    right: 30%;
    border-radius: 0px 250px 250px 0px;
}

.bgBlueForm2 {
    width: 200%;
    height: 80%;
    background: $primarycolor;
    z-index: -99;
    position: absolute;
    bottom: 0;
}

/* css buttons */
.btnb
{
    background-color:$primarycolor;
    border-color:$primarycolor;
    box-shadow: 0px 2px 5px hsl(229, 8%, 60%);
}

.btnw
{
    color: $primarycolor;
    box-shadow: 0px 2px 5px hsl(229, 8%, 60%);
}

/* css features */
.feature
{
    margin-left: auto;
    margin-right: auto;
    width: 40%;
    text-align: center;
}

.nav-tabs .nav-link.active
{
    border: none;
    border-bottom: 3px solid $uicolor;
}

/* css hauteur de la grid extensions */
.myheight
{
    min-height: 500px;
}

/* css ombre extension */
.myshadow
{
    box-shadow: 0px 2px 5px hsl(229, 8%, 60%);
}

/* css hover bouton extensions */
.hoverw
{
    &:hover
    {
        background-color: white;
        color: $primarycolor;
    }
}

.hoverbtn
{

    &:hover
    {
        color: $uicolor;
    }

    &:focus
    {
        box-shadow: none;
    }
}

/* css accordion */
.accordion
{
    .card
    {
        border: none;
        border-top: 1px solid grey;
        border-bottom: 1px solid grey;
    }
}

.card-header
{
    border: none;
    background-color: #ffffff;

    svg 
    {
        transition: 0.5s;
    }

    .collapsed
    {
        svg
        {
            transform: rotate(180deg);;
            path 
            {
                stroke: $primarycolor;
                
            }
        }
    }
}



/* footer css */
footer
{
    width: 100%;
}

.footercontain
{
    width: 100%;
    height: 300px;
    margin-top: 100px;
    background-color: $primarycolor;
        p 
        {
            color: white;
            font-size: 12px;
        }

        h4 
        {
            margin-left: auto;
            margin-right: auto;
            width: 70%;
            color: white;
            text-align: center;
        }

        form
        {
          width: 100%;  

            input 
            {
                width: 30%;

                &:invalid
                {
                    border: 2px solid $uicolor;
                }

                &:valid
                {
                    border: 2px solid green;
                    .mysvg 
                    {
                        display: none;
                    }
                    
                }
            }

            button
            {
                &:hover
                {
                    background-color: $uicolor !important;
                }
            }
        }
        .footer-navbar 
        {
            width: 100%;
            background-color: #252b46;

                ul 
                {
                    li 
                    {
                        margin: 0px 20px;
                    }
                }
        }

        
}

